uniform vec3  PhaseShift;
uniform vec3  RadialFreq;
uniform vec3  Center;
uniform vec3  WindowSize;

void main(void)
{
	float a = (gl_FragCoord.x - Center.x) / WindowSize.x;
	float b = (gl_FragCoord.y - Center.y) / WindowSize.y;
	float rho = a*a + b*b;
	vec3 sine2, phase = vec3(rho, rho, rho);
	phase += PhaseShift;
	vec3 freq = RadialFreq * 2.0 * 3.1416;
    sine2.x = sin(phase.x * freq.x);
    sine2.y = sin(phase.y * freq.y);
    sine2.z = sin(phase.z * freq.z);
    sine2 *= sine2;
    gl_FragColor = vec4(sine2,1.0);
}
